Commit 9e4cc676 authored by Raphaël Quinet's avatar Raphaël Quinet Committed by Raphaël Quinet

Added a conditional definition of the preprocessor symbol GIMP_UNSTABLE if

2004-02-05  Raphaël Quinet  <quinet@gamers.org>

	* configure.in: Added a conditional definition of the preprocessor
	symbol GIMP_UNSTABLE if the autoconf symbol GIMP_UNSTABLE is
	defined.

	* app/errors.c (gimp_errors_init): Replaced the #if test on
	GIMP_MINOR_VERSION modulo 2 by #ifdef GIMP_UNSTABLE.

	* app/composite/gimp-composite.c (gimp_composite_init): Print the
	init messages only in unstable versions.  Split the messages in
	two lines and mention "supported by gimp_composite" in order to
	give a hint that the availability of some features depends also on
	what code has been written.  Fixes bug #128825.
parent d9d0d785
2004-02-05 Raphaël Quinet <quinet@gamers.org>
* configure.in: Added a conditional definition of the preprocessor
symbol GIMP_UNSTABLE if the autoconf symbol GIMP_UNSTABLE is
defined.
* app/errors.c (gimp_errors_init): Replaced the #if test on
GIMP_MINOR_VERSION modulo 2 by #ifdef GIMP_UNSTABLE.
* app/composite/gimp-composite.c (gimp_composite_init): Print the
init messages only in unstable versions. Split the messages in
two lines and mention "supported by gimp_composite" in order to
give a hint that the availability of some features depends also on
what code has been written. Fixes bug #128825.
2004-02-04 Sven Neumann <sven@gimp.org>
* app/core/gimpchannel.c
......@@ -360,9 +360,11 @@ gimp_composite_init (gboolean use_cpu_accel)
gimp_composite_options.bits = strtoul(p, NULL, 16);
}
g_printerr ("gimp_composite: use=%s, verbose=%s",
#ifdef GIMP_UNSTABLE
g_printerr ("gimp_composite: use=%s, verbose=%s\n",
(gimp_composite_options.bits & GIMP_COMPOSITE_OPTION_USE) ? "yes" : "no",
(gimp_composite_options.bits & GIMP_COMPOSITE_OPTION_VERBOSE) ? "yes" : "no");
#endif
gimp_composite_generic_install ();
......@@ -384,37 +386,28 @@ gimp_composite_init (gboolean use_cpu_accel)
extern gboolean gimp_composite_3dnow_install ();
extern gboolean gimp_composite_altivec_install ();
extern gboolean gimp_composite_vis_install ();
if (gimp_composite_mmx_install ())
g_printerr (" +mmx");
else
g_printerr (" -mmx");
if (gimp_composite_sse_install ())
g_printerr (" +sse");
else
g_printerr (" -sse");
if (gimp_composite_sse2_install ())
g_printerr (" +sse2");
else
g_printerr (" -sse2");
if (gimp_composite_3dnow_install ())
g_printerr (" +3dnow");
else
g_printerr (" -3dnow");
if (gimp_composite_altivec_install ())
g_printerr (" +altivec");
else
g_printerr (" -altivec");
if (gimp_composite_vis_install ())
g_printerr (" +vis");
else
g_printerr (" -vis");
gboolean can_use_mmx;
gboolean can_use_sse;
gboolean can_use_sse2;
gboolean can_use_3dnow;
gboolean can_use_altivec;
gboolean can_use_vis;
can_use_mmx = gimp_composite_mmx_install ();
can_use_sse = gimp_composite_sse_install ();
can_use_sse2 = gimp_composite_sse2_install ();
can_use_3dnow = gimp_composite_3dnow_install ();
can_use_altivec = gimp_composite_altivec_install ();
can_use_vis = gimp_composite_vis_install ();
#ifdef GIMP_UNSTABLE
g_printerr ("supported by gimp_composite: %cmmx %csse %csse2 %c3dnow %caltivec %cvis\n",
can_use_mmx ? '+' : '-',
can_use_sse ? '+' : '-',
can_use_sse2 ? '+' : '-',
can_use_3dnow ? '+' : '-',
can_use_altivec ? '+' : '-',
can_use_vis ? '+' : '-');
#endif
}
g_printerr ("\n");
}
......@@ -65,14 +65,14 @@ gimp_errors_init (const gchar *_full_prog_name,
g_return_if_fail (_full_prog_name != NULL);
g_return_if_fail (full_prog_name == NULL);
#if (GIMP_MINOR_VERSION % 2) == 1
#ifdef GIMP_UNSTABLE
g_printerr ("This is a development version of The GIMP.\n"
"Debug messages may appear here.\n\n");
#ifdef G_OS_WIN32
g_printerr ("You can minimize this window, but don't close it.\n\n");
#endif
#endif /* odd minor version */
#endif /* GIMP_UNSTABLE */
use_debug_handler = _use_debug_handler ? TRUE : FALSE;
stack_trace_mode = _stack_trace_mode;
......
......@@ -99,6 +99,12 @@ AC_SUBST(GIMP_USER_VERSION)
AC_SUBST(GIMP_UNSTABLE)
AC_SUBST(GIMP_FULL_NAME)
dnl The symbol GIMP_UNSTABLE is defined above for substitution in
dnl Makefiles and conditionally defined here as a preprocessor symbol.
if test "x$GIMP_UNSTABLE" = "xyes"; then
AC_DEFINE(GIMP_UNSTABLE,1,
[Define to 1 if this is an unstable version of the GIMP])
fi
# libtool versioning
#LT_RELEASE=$GIMP_MAJOR_VERSION.$GIMP_MINOR_VERSION
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment